### Method

# Foundry Symbol find_parent

#### Declaration [src]

    DexFuture*
    foundry_symbol_find_parent (
      FoundrySymbol* self
    )

#### Description [src]

Find the parent symbol, if any.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `FoundrySymbol` or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.